be.fgov.ehealth.consultrn._1_0.core

## Class NationalityHistoryType

- java.lang.Object
- - be.fgov.ehealth.consultrn._1_0.core.HistoryType
  - - be.fgov.ehealth.consultrn._1_0.core.NationalityHistoryType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:34:52+02:00",
                 comments="JAXB RI v2.2.11")
      public class NationalityHistoryType
      extends HistoryType
      implements Serializable

  Java class for NationalityHistoryType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="NationalityHistoryType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:consultRN:1_0:core}HistoryType">
             <sequence>
               <element name="Nationality" type="{urn:be:fgov:ehealth:consultRN:1_0:core}NationalityType"/>
               <element name="ObtainementReason" type="{urn:be:fgov:ehealth:consultRN:1_0:core}ObtainementReasonType" minOccurs="0"/>
               <element name="RegistrationLocation" type="{urn:be:fgov:ehealth:consultRN:1_0:core}WhereType" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NationalityHistoryType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NationalityType` | `getNationality()` Gets the value of the nationality property.
    `ObtainementReasonType` | `getObtainementReason()` Gets the value of the obtainementReason property.
    `WhereType` | `getRegistrationLocation()` Gets the value of the registrationLocation property.
    `void` | `setNationality(NationalityType value)` Sets the value of the nationality property.
    `void` | `setObtainementReason(ObtainementReasonType value)` Sets the value of the obtainementReason property.
    `void` | `setRegistrationLocation(WhereType value)` Sets the value of the registrationLocation property.

    - ### Methods inherited from class be.fgov.ehealth.consultrn._1_0.core.HistoryType

      `getEffectuationDate, getModificationDate, getSource, setEffectuationDate, setModificationDate, setSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NationalityHistoryType

          public NationalityHistoryType()

  - ### Method Detail

    - #### getNationality

          public NationalityType getNationality()

      Gets the value of the nationality property.
      Returns:
        possible object is `NationalityType`

    - #### setNationality

          public void setNationality(NationalityType value)

      Sets the value of the nationality property.
      Parameters:
        `value` - allowed object is `NationalityType`

    - #### getObtainementReason

          public ObtainementReasonType getObtainementReason()

      Gets the value of the obtainementReason property.
      Returns:
        possible object is `ObtainementReasonType`

    - #### setObtainementReason

          public void setObtainementReason(ObtainementReasonType value)

      Sets the value of the obtainementReason property.
      Parameters:
        `value` - allowed object is `ObtainementReasonType`

    - #### getRegistrationLocation

          public WhereType getRegistrationLocation()

      Gets the value of the registrationLocation property.
      Returns:
        possible object is `WhereType`

    - #### setRegistrationLocation

          public void setRegistrationLocation(WhereType value)

      Sets the value of the registrationLocation property.
      Parameters:
        `value` - allowed object is `WhereType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.